-
    headers: 'User-Agent: DLNADOC/1.50 SHARP-AQUOS-DMP/2.0W'
    result: { device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2  (KHTML, like Gecko) AQUOSBrowser/1.0 (US00DTV;V;0001;0001)'
    result: { engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.0.4 AQUOSBrowser/1.0 (CH00DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.0.4, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.0.4 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.0.4 AQUOSBrowser/1.0 (JP00DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV10VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.0.4, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.0.4 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.0.4 AQUOSBrowser/1.0 (US00DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.0.4, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.0.4 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.0.5 AQUOSBrowser/1.0 (AS00DTV;V;0001;0001) AQUOS-AS/2.0 LC-46LX840H'
    result: { browser: { name: Espial, version: 6.0.5, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, model: LX840H, series: 'Aquos TV' } }
    readable: 'Espial 6.0.5 on a Sharp LX840H Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.1 AQUOSBrowser/1.1 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.1, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.1 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.10 AQUOSBrowser/2.0 (JP12DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV12VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.10, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.10 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.10 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.10, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.10 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.11 AQUOSBrowser/2.0 (JP12DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV12VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.11, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.11 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.12 AQUOSBrowser/1.0 (AS00DTV;V;0001;0001)AQUOS-AS/2.0 LC-60LX959H'
    result: { browser: { name: Espial, version: 6.1.12, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, model: LX959H, series: 'Aquos TV' } }
    readable: 'Espial 6.1.12 on a Sharp LX959H Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.12 AQUOSBrowser/1.0 (AS00DTV;V;0001;0001)AQUOS-AS/2.0 LC-60UQ10E'
    result: { browser: { name: Espial, version: 6.1.12, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, model: UQ10E, series: 'Aquos TV' } }
    readable: 'Espial 6.1.12 on a Sharp UQ10E Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.12 AQUOSBrowser/1.0 (AS00DTV;V;0001;0001)AQUOS-AS/2.0 LC-70UQ10E'
    result: { browser: { name: Espial, version: 6.1.12, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, model: UQ10E, series: 'Aquos TV' } }
    readable: 'Espial 6.1.12 on a Sharp UQ10E Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.12 AQUOSBrowser/2.0 (JP12DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV12VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.12, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.12 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.12 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.12, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.12 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.13 AQUOSBrowser/2.0 (JP12DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV12VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.13, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.13 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.13 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.13, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.13 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.14 AQUOSBrowser/2.0 (JP12DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV12VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.14, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.14 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.14 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.14, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.14 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.15 AQUOSBrowser/1.0 (AS00DTV;V;0001;0001)AQUOS-AS/2.0 LC-60UQ10E'
    result: { browser: { name: Espial, version: 6.1.15, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, model: UQ10E, series: 'Aquos TV' } }
    readable: 'Espial 6.1.15 on a Sharp UQ10E Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.15 AQUOSBrowser/2.0 (JP12DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV12VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.15, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.15 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.15 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.15, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.15 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.16 AQUOSBrowser/2.0 (JP12DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV12VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.16, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.16 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.16 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.16, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.16 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.17 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.17, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.17 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.18 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.18, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.18 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.3 AQUOSBrowser/1.0 (JP00DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV10VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.3, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.3 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.4 AQUOSBrowser/2.0 (JP10DTV;B;0001;0001) InettvBrowser/2.2 (08001F;DTV11VSFC3;0001;0001)'
    result: { browser: { name: Espial, version: 6.1.4, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.1.4 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.5 AQUOSBrowser/1.0 (AS00DTV;V;0001;0001)AQUOS-AS/2.0 LC-60LE950X'
    result: { browser: { name: Espial, version: 6.1.5, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, model: LE950X, series: 'Aquos TV' } }
    readable: 'Espial 6.1.5 on a Sharp LE950X Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.6 AQUOSBrowser/1.0 (AS00DTV;V;0001;0001)AQUOS-AS/2.0 LC-60LX850H'
    result: { browser: { name: Espial, version: 6.1.6, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, model: LX850H, series: 'Aquos TV' } }
    readable: 'Espial 6.1.6 on a Sharp LX850H Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.1.9 Hybridcast/1.0 (;08001F;DTV12VSFC3;0001;0001;)'
    result: { browser: { name: Espial, version: 6.1.9, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Smart TV' } }
    readable: 'Espial 6.1.9 on a Sharp Smart TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV) AppleWebKit/531.2+ (KHTML, like Gecko) Espial/6.2.0 AQUOSBrowser/2.0 (US01DTV;V;0001;0001)'
    result: { browser: { name: Espial, version: 6.2.0, type: browser }, engine: { name: Webkit, version: '531.2' }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Espial 6.2.0 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV; TVwithVideoPlayer) NetFront/4.1 AQUOSBrowser/1.0 InettvBrowser/2.2 (08001F;DTV06VSFC;0009;0001)'
    result: { browser: { name: NetFront, version: '4.1', type: browser }, engine: { name: NetFront }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'NetFront 4.1 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Mozilla/5.0 (DTV; TVwithVideoPlayer) NetFront/4.1 InettvBrowser/2.2 (08001F;DTV04VSFC3;0001;0001)'
    result: { browser: { name: NetFront, version: '4.1', type: browser }, engine: { name: NetFront }, device: { type: television, manufacturer: Sharp, series: 'Smart TV' } }
    readable: 'NetFront 4.1 on a Sharp Smart TV'
-
    headers: 'User-Agent: Opera/9.80 (Linux armv6l; U; en) Presto/2.8.115 Version/11.10 AQUOS-AS/1.0 LC-40LE835X'
    result: { browser: { name: 'Opera Devices', version: '3.0', type: browser }, engine: { name: Presto, version: 2.8.115 }, device: { type: television, manufacturer: Sharp, model: LE835X, series: 'Aquos TV' } }
    readable: 'Opera Devices 3.0 on a Sharp LE835X Aquos TV'
-
    headers: 'User-Agent: Opera/9.80 (Linux armv7l; U; HbbTV/1.1.1 (; ; ; ; ; ) CE-HTML/1.0 NETTV/3.2.3 AquosTV/1.1.1; xx) Presto/2.10.287 Version/12.00'
    result: { browser: { name: 'Opera Devices', version: '3.2', type: browser }, engine: { name: Presto, version: 2.10.287 }, device: { type: television, manufacturer: Sharp, series: 'Aquos TV' } }
    readable: 'Opera Devices 3.2 on a Sharp Aquos TV'
-
    headers: 'User-Agent: Opera/9.80 (Linux mips; ) Presto/2.12.407 Version/12.51 MB90/3.3.8.e (SHARP, Si2156LG32, wired) HbbTV/1.1.1 (; CUS:SHARP; MB90; 3.3.8.e; 1.0;) CE-HTML/1.0 NETRANGEMMH iplayerV3'
    result: { browser: { name: 'Opera Devices', version: '3.4', type: browser }, engine: { name: Presto, version: 2.12.407 }, device: { type: television, manufacturer: Sharp, model: MB90, series: 'Smart TV' } }
    readable: 'Opera Devices 3.4 on a Sharp MB90 Smart TV'
-
    headers: 'User-Agent: Opera/9.80 (Linux mips; U; HbbTV/1.1.1 ( ; Sharp; LE737; 690.1; 1.32;); en) Presto/2.9.167 Version/11.50'
    result: { browser: { name: 'Opera Devices', version: '3.1', type: browser }, engine: { name: Presto, version: 2.9.167 }, device: { type: television, manufacturer: Sharp, model: LE737 } }
    readable: 'Opera Devices 3.1 on a Sharp LE737'
-
    headers: 'User-Agent: Opera/9.80 (Linux sh4; HbbTV/1.2.1 (;Sharp;LE652;v0.1.43.5;;) CE-HTML/1.0 Config(L:deu,CC:DEU) NETRANGEMMH) Presto/2.12.362 Version/12.10'
    result: { browser: { name: 'Opera Devices', version: '3.4', type: browser }, engine: { name: Presto, version: 2.12.362 }, device: { type: television, manufacturer: Sharp, model: LE652 } }
    readable: 'Opera Devices 3.4 on a Sharp LE652'
